﻿Imports System
Imports System.Threading
Imports System.Windows.Controls
Imports Microsoft.Phone.Controls
Imports Microsoft.Phone.Shell
Imports Windows.Phone.Speech.VoiceCommands

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()

        SupportedOrientations = SupportedPageOrientation.Portrait Or SupportedPageOrientation.Landscape

        ' Sample code to localize the ApplicationBar
        'BuildLocalizedApplicationBar()

    End Sub

    ' Sample code for building a localized ApplicationBar
    'Private Sub BuildLocalizedApplicationBar()
    '    ' Set the page's ApplicationBar to a new instance of ApplicationBar.
    '    ApplicationBar = New ApplicationBar()

    '    ' Create a new button and set the text value to the localized string from AppResources.
    '    Dim appBarButton As New ApplicationBarIconButton(New Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative))
    '    appBarButton.Text = AppResources.AppBarButtonText
    '    ApplicationBar.Buttons.Add(appBarButton)

    '    ' Create a new menu item with the localized string from AppResources.
    '    Dim appBarMenuItem As New ApplicationBarMenuItem(AppResources.AppBarMenuItemText)
    '    ApplicationBar.MenuItems.Add(appBarMenuItem)
    'End Sub

    Private Sub MainPage_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded

        If NavigationContext.QueryString.ContainsKey("voiceCommandName") Then
            Dim voiceCommand = NavigationContext.QueryString("voiceCommandName")
            Me.txtStandardStartup.Visibility = Visibility.Collapsed
            Me.txtVoiceStartup.Visibility = Visibility.Visible
            Me.txtCommandName.Text = voiceCommand
            Me.txtQueryString.Text = NavigationContext.QueryString.Select(Function(a) String.Format("{0}={1}", a.Key, a.Value)).Aggregate(Function(a, b) a + "&" + b)
        Else
            Me.txtStandardStartup.Visibility = Visibility.Visible
            Me.txtVoiceStartup.Visibility = Visibility.Collapsed
        End If

    End Sub

    Private Async Sub AddPhraseButton_Click(sender As Object, e As EventArgs)
        Dim voiceCommandSet = VoiceCommandService.InstalledCommandSets("DemoIta")
        If voiceCommandSet IsNot Nothing Then
            Await voiceCommandSet.UpdatePhraseListAsync("title", Me.txtPhraseList.Text.Split(";"c))
        End If
    End Sub
End Class