﻿
Imports System.Windows.Data
Imports System.Windows.Media.Imaging
Imports Windows.Phone.Speech.Synthesis

Public NotInheritable Class GenderToImageConverter
    Implements IValueConverter

    Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As Globalization.CultureInfo) As Object Implements IValueConverter.Convert
        If TypeOf value Is VoiceGender Then
            Dim gender = CType(value, VoiceGender)
            If gender = VoiceGender.Male Then
                Return New BitmapImage(New Uri("Assets/male.png", UriKind.RelativeOrAbsolute))
            Else
                Return New BitmapImage(New Uri("Assets/female.png", UriKind.RelativeOrAbsolute))
            End If
        End If
        Return Nothing
    End Function

    Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack
        Throw New NotSupportedException
    End Function
End Class