﻿Imports System
Imports System.Threading
Imports System.Windows.Controls
Imports Microsoft.Phone.Controls
Imports Microsoft.Phone.Shell
Imports Windows.Phone.Speech.Recognition

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()

        SupportedOrientations = SupportedPageOrientation.Portrait Or SupportedPageOrientation.Landscape

        ' Sample code to localize the ApplicationBar
        'BuildLocalizedApplicationBar()

    End Sub

    ' Sample code for building a localized ApplicationBar
    'Private Sub BuildLocalizedApplicationBar()
    '    ' Set the page's ApplicationBar to a new instance of ApplicationBar.
    '    ApplicationBar = New ApplicationBar()

    '    ' Create a new button and set the text value to the localized string from AppResources.
    '    Dim appBarButton As New ApplicationBarIconButton(New Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative))
    '    appBarButton.Text = AppResources.AppBarButtonText
    '    ApplicationBar.Buttons.Add(appBarButton)

    '    ' Create a new menu item with the localized string from AppResources.
    '    Dim appBarMenuItem As New ApplicationBarMenuItem(AppResources.AppBarMenuItemText)
    '    ApplicationBar.MenuItems.Add(appBarMenuItem)
    'End Sub

    
    Private Sub btnSimpleSpeechRecognition_Click(sender As Object, e As RoutedEventArgs) Handles btnSimpleSpeechRecognition.Click
        Me.NavigationService.Navigate(New Uri("/SimpleSpeechRecognition.xaml", UriKind.RelativeOrAbsolute))
    End Sub

    Private Sub btnCustomGrammar_Click(sender As Object, e As RoutedEventArgs) Handles btnCustomGrammar.Click
        Me.NavigationService.Navigate(New Uri("/CustomGrammar.xaml", UriKind.RelativeOrAbsolute))
    End Sub

    Private Sub btnPhraseListGrammar_Click(sender As Object, e As RoutedEventArgs) Handles btnPhraseListGrammar.Click
        Me.NavigationService.Navigate(New Uri("/PhrasesListGrammar.xaml", UriKind.RelativeOrAbsolute))
    End Sub
End Class